Skip to main content
POST
/
verify
/
parse-url
Parse a receipt URL
curl --request POST \
  --url https://api.check.et/api/v1/verify/parse-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "receipt_url": "https://apps.ethiotelecom.et/receipt/DEL889NG4S"
}
'
{
  "bank": "telebirr",
  "bank_name": "Telebirr",
  "transaction_number": "DEL889NG4S",
  "account_number": null,
  "source_url": "https://apps.ethiotelecom.et/receipt/DEL889NG4S",
  "receipt_token": null,
  "requires_account_number": false,
  "requires_explicit_settlement_account": false
}

Authorizations

Authorization
string
header
required

API key from your dashboard - starts with chk_. Requires a business account.

Body

application/json
receipt_url
string
required

The share URL from a banking app

Example:

"https://apps.ethiotelecom.et/receipt/DEL889NG4S"

Response

Extracted receipt data

bank
string
Example:

"telebirr"

bank_name
string
Example:

"Telebirr"

transaction_number
string
Example:

"DEL889NG4S"

account_number
string | null
Example:

null

source_url
string
Example:

"https://apps.ethiotelecom.et/receipt/DEL889NG4S"

receipt_token
string | null
Example:

null

requires_account_number
boolean
Example:

false

requires_explicit_settlement_account
boolean
Example:

false